Page MenuHomePhabricator

Release 5.3.1 (1011)
Closed, ResolvedPublic

Description

Release version: 5.3.1 (1011)
Release tag: releases/5.3.1
Release SHA1: 214e3f1423fb0c62dac0850125274e59e3a34fb7
App Store Submission Date: 12/1/2016
App Store Approval Date: 12/1/2016
App Store Release Date: 12/2/2016
Regression Testing URL: https://docs.google.com/a/wikimedia.org/spreadsheets/d/1hczd9lNFt9gts9ukQf2JouWY3FjVO510WrdI4_Rndvs/edit?usp=drive_web


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l

Event Timeline

JMinor created this task.Nov 29 2016, 11:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 29 2016, 11:30 PM
JMinor triaged this task as High priority.Nov 29 2016, 11:31 PM
JMinor moved this task from Tasks from Product Backlog to Doing on the iOS-app-v5.3.1-Shoehorn board.
JMinor renamed this task from Release 5.3.1 1003 to Release 5.3.1 1011.Dec 2 2016, 6:55 PM
JMinor updated the task description. (Show Details)
JMinor moved this task from Doing to Ready for PM Signoff on the iOS-app-v5.3.1-Shoehorn board.
JMinor renamed this task from Release 5.3.1 1011 to Release 5.3.1 (1011).Dec 2 2016, 7:33 PM
JMinor closed this task as Resolved.
JMinor updated the task description. (Show Details)